/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {AlertPrincipalResponse} from "./alertPrincipalResponse";
import {FloorResponse} from "./floorResponse";
import {FloorPlanResponse} from "./floorPlanResponse";
import {WorkerResponse} from "./workerResponse";
import {ZoneResponse} from "./zoneResponse";

export class ZoneAlertResponse {
    public alert: AlertPrincipalResponse;

    public floor: FloorResponse;

    public floorPlan: FloorPlanResponse;

    public workers: WorkerResponse[];

    public zone: ZoneResponse;

    /**
     * Creates a ZoneAlertResponse.
     *
     * @param {AlertPrincipalResponse} alert
     * @param {FloorResponse} floor
     * @param {FloorPlanResponse} floorPlan
     * @param {WorkerResponse} workers
     * @param {ZoneResponse} zone
     */
    constructor(alert: AlertPrincipalResponse, floor: FloorResponse, floorPlan: FloorPlanResponse, workers: WorkerResponse[], zone: ZoneResponse) {
        this.alert = alert;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.workers = workers;
        this.zone = zone;
    }
}
